2024-02-20 20:03:10 UTC
245 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
PHP_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz
PHP_VERSION8.3.3
[#000] sha256:beff29d65c5c5787a278dcce32970cc3af7110d5c13ae23f5a08898a2015b4c3 - 11.72% (28.7 MB)
[#001] sha256:6cfde49385a90835b9c1612c002c49650aa228e709c6bec76329576d154acf40 - 0.0% (228 Bytes)
[#002] sha256:8f0ed10d21879c841ec1dc9f3c51bfc996313547be9838dd0871e0c090e9db93 - 39.47% (96.8 MB)
[#003] sha256:0108a981d683eb4695cf1efac3357088358d8bd27fafb095510dcdc689e9270f - 0.0% (269 Bytes)
[#004] sha256:fa94a6b92707cb45a0ff3ab809cb18c5a53cfcaad6fb553c591ef3b376088a1e - 8.1% (19.9 MB)
[#005] sha256:9e4ba0ea043787178dd74139db437ce2498a8d3bf85e4eed296ea8e55a598f5a - 0.0% (475 Bytes)
[#006] sha256:35ec064cfc067a6de6b378be145b2249b472d81b6fbf511d5f614fdf9909cad5 - 0.0% (513 Bytes)
[#007] sha256:e6c1f7e97d91fbbc4faffa0990be9c7f1f0d5c23f7c0c86a8ff6b1edc7748637 - 4.97% (12.2 MB)
[#008] sha256:3d1ee523da1a93204047e1e555c01a745725dc7e9bb8509f561299cae4c24c04 - 0.0% (492 Bytes)
[#009] sha256:b2100d69ff3cdb8f0623daabe1860f3ae094a5dcf3595b40ce20554dd0b736e8 - 4.61% (11.3 MB)
[#010] sha256:9ce4f5ed49d37c46842659e66707a61f41bd782114ccdf1400c03b47d29ef173 - 0.0% (2.4 KB)
[#011] sha256:db306e78f79d6ada64c3c99b2f08f7cab1c342ca406b8c91db6d70f30ff01f2a - 0.0% (246 Bytes)
[#012] sha256:7833711135d5b92868409b915e9f866a3a55040c1f00df20b30ad173c090a4e9 - 0.0% (897 Bytes)
[#013] sha256:fa94921818712135c4bb953ed635a7a114d24c664901594a9464d2eb9957d714 - 10.38% (25.5 MB)
[#014] sha256:7e5d3933a639238bf7bb925719e4aef36729c785ac889a32e69ced2865794c65 - 11.21% (27.5 MB)
[#015] sha256:4268f890e8609a6664dc3e711eaf3558b4b7ae96aaa377093dac53cc8404b01e - 0.0% (360 Bytes)
[#016] sha256:a61d25691fac99c328135f6eeba445ef995ea11a59fb64e822bfb837f3696bb1 - 0.0% (393 Bytes)
[#017] sha256:b4f4ab432022979764c144d199668f9f61ffaa6cae116dd838c6a721cf4274b5 - 0.01% (18.7 KB)
[#018] sha256:b9d3babd3015ed57ef53b60d1614070f886463e65e0e775e84df9f4950cbba24 - 9.53% (23.4 MB)
[#019] sha256:3e0aa2f6a97c10e80bfa5f6cb7de957c32b7436d1415167f4178beacd864c195 - 0.0% (2.29 KB)
[#020] sha256:33ea1c7af5da0ffa384556b24005e56ef5343a087c6db8450186b1f28dc5fd6a - 0.0% (1.69 KB)
/bin/sh -c #(nop) ADD file:d071fabb8bc92134fff788fc6f2e518f1291bbb7813cb5b41180aed4a50e654c in /
2024-02-13 00:38:56 UTC/bin/sh -c #(nop) CMD ["bash"]
2024-02-13 04:54:19 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2024-02-13 04:54:19 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2024-02-13 04:54:50 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends $PHPIZE_DEPS ca-certificates curl xz-utils ; rm -rf /var/lib/apt/lists/*
2024-02-13 04:54:52 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-02-13 04:54:52 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-02-13 05:01:57 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2024-02-13 05:01:57 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2024-02-13 05:02:08 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" "$APACHE_RUN_DIR/socks" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 1777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2024-02-13 05:02:09 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2024-02-13 05:02:10 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2024-02-13 05:02:10 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 05:02:10 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 05:02:10 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-02-13 05:02:10 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2024-02-16 20:05:03 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.3.3
2024-02-16 20:05:03 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.3.3.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.3.tar.xz.asc
2024-02-16 20:05:03 UTC/bin/sh -c #(nop) ENV PHP_SHA256=b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
2024-02-16 20:05:17 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends gnupg; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false
2024-02-16 20:05:17 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-02-16 20:11:55 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends apache2-dev libargon2-dev libcurl4-openssl-dev libonig-dev libreadline-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" --disable-cgi --with-apxs2 ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-02-16 20:11:55 UTC/bin/sh -c #(nop) COPY multi:e11221d43af7136e4dbad5a74e659bcfa753214a9e615c3daf357f1633d9d3d1 in /usr/local/bin/
2024-02-16 20:11:56 UTC/bin/sh -c docker-php-ext-enable sodium
2024-02-16 20:11:56 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-02-16 20:11:56 UTC/bin/sh -c #(nop) STOPSIGNAL SIGWINCH
2024-02-16 20:11:56 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2024-02-16 20:11:56 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-02-16 20:11:56 UTC/bin/sh -c #(nop) EXPOSE 80
2024-02-16 20:11:56 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ghostscript ; rm -rf /var/lib/apt/lists/* # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libicu-dev libjpeg-dev libmagickwand-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.6.0; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$extDir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; docker-php-ext-enable opcache; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; a2enmod rewrite expires; a2enmod remoteip; { echo 'RemoteIPHeader X-Forwarded-For'; echo 'RemoteIPInternalProxy 10.0.0.0/8'; echo 'RemoteIPInternalProxy 172.16.0.0/12'; echo 'RemoteIPInternalProxy 192.168.0.0/16'; echo 'RemoteIPInternalProxy 169.254.0.0/16'; echo 'RemoteIPInternalProxy 127.0.0.0/8'; } > /etc/apache2/conf-available/remoteip.conf; a2enconf remoteip; find /etc/apache2 -type f -name '*.conf' -exec sed -ri 's/([[:space:]]*LogFormat[[:space:]]+"[^"]*)%h([^"]*")/\1%a\2/g' '{}' + # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.5-beta2'; sha1='f8a0187b5c143fa20b756efd9d456da9da077d7c'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY wp-config-docker.php /usr/src/wordpress/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)CMD ["apache2-foreground"]
2024-02-20 20:03:10 UTC
247 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
PHP_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz
PHP_VERSION8.3.3
[#000] sha256:e1caac4eb9d2ec24aa3618e5992208321a92492aef5fef5eb9e470895f771c56 - 11.27% (27.8 MB)
[#001] sha256:8c386db9cb1d87e70bc4655a9f464379178e6faec37925b32f481121cd1fd6b5 - 0.0% (225 Bytes)
[#002] sha256:bef1b237c949fbfc49af0024af5189a1feefff253e445a7b19ab4327ce5a5909 - 40.37% (99.5 MB)
[#003] sha256:56c66cb68b0ffb6ab95a1aa748b4012b5da8077a4a4c14a3f9bebcf9bf02f351 - 0.0% (270 Bytes)
[#004] sha256:9c790c1c009dd7204cac7a35fd9151636c23f96ae965fec6263addd5d366c547 - 7.85% (19.4 MB)
[#005] sha256:e055748d0b38a426b2cef949d76f35fc04c5a9a9a66a2d40449219a4853635cf - 0.0% (480 Bytes)
[#006] sha256:5a9d72b3b895bccef06314fe3a5818d977b5b695a9e1a698eab278c1138790f8 - 0.0% (513 Bytes)
[#007] sha256:23c958fb5105090d17ca51902008ca676a75119166cb8bcdef26b4b596ec406c - 4.95% (12.2 MB)
[#008] sha256:9e050c959e73339ec827ac5a4e5ac9d2843a82da770cf4fb5bce6f3a7feb57f8 - 0.0% (494 Bytes)
[#009] sha256:91e7d6fbd267727cfeece1db15a83444dc12411f850d5585e0eb38f601f0c834 - 4.5% (11.1 MB)
[#010] sha256:2051e0e35a8a2fbd0bf0d3e70432fc3c04ec10019929a1762de08efaf89161ae - 0.0% (2.4 KB)
[#011] sha256:03905230498a3f2986254adbc33a359120288d7e7a1340f99cace87d32fab246 - 0.0% (248 Bytes)
[#012] sha256:0c022f1d0edd173f1de0d57651a3ceb07ab070877169037118d856476e7849de - 0.0% (893 Bytes)
[#013] sha256:da5851aa784a3cd9ef35a3c63719b9c076038ab5998b3fc2e82036c64386a6bc - 10.16% (25 MB)
[#014] sha256:308fc4c8a7e9846136764975ec1c173aa894b8613bec9e45c366594bcc4c0ca8 - 11.41% (28.1 MB)
[#015] sha256:0f35af2334012a6398a8dd9f1c389aea1e824e868a2821a0495602d9ad68124a - 0.0% (363 Bytes)
[#016] sha256:9fe78353d4298620ba1282ba9045fb193dba55160414ff3e19b0f023ba72ae1c - 0.0% (396 Bytes)
[#017] sha256:977294143a9ee51597d562e59afcf32220f728076c28de7425e0163f64ee8859 - 0.01% (18.7 KB)
[#018] sha256:9e8fbea38cb8c9b92fa52421326eb64c249d3ca531291b6e022d85ba4d6e9e9a - 9.48% (23.4 MB)
[#019] sha256:f07c6615903f7709ea75ff92d0d734b4408ab3ab937b247ada3d4869d832845b - 0.0% (2.29 KB)
[#020] sha256:51859da851077027e791cdaf8ef8a3640a3df13f57af4c941aa96294e40f91c4 - 0.0% (1.69 KB)
/bin/sh -c #(nop) ADD file:eb6a3def1f69e76655620640e610015f285bc23c97e89855feb1f0548309d518 in /
2024-02-13 00:37:22 UTC/bin/sh -c #(nop) CMD ["bash"]
2024-02-13 05:02:49 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2024-02-13 05:02:49 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2024-02-13 05:03:12 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends $PHPIZE_DEPS ca-certificates curl xz-utils ; rm -rf /var/lib/apt/lists/*
2024-02-13 05:03:13 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-02-13 05:03:13 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-02-13 05:07:13 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2024-02-13 05:07:13 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2024-02-13 05:07:21 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" "$APACHE_RUN_DIR/socks" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 1777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2024-02-13 05:07:22 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2024-02-13 05:07:22 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2024-02-13 05:07:23 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 05:07:23 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 05:07:23 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-02-13 05:07:23 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2024-02-16 20:55:20 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.3.3
2024-02-16 20:55:20 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.3.3.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.3.tar.xz.asc
2024-02-16 20:55:20 UTC/bin/sh -c #(nop) ENV PHP_SHA256=b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
2024-02-16 20:55:32 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends gnupg; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false
2024-02-16 20:55:32 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-02-16 20:59:26 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends apache2-dev libargon2-dev libcurl4-openssl-dev libonig-dev libreadline-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" --disable-cgi --with-apxs2 ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-02-16 20:59:26 UTC/bin/sh -c #(nop) COPY multi:e11221d43af7136e4dbad5a74e659bcfa753214a9e615c3daf357f1633d9d3d1 in /usr/local/bin/
2024-02-16 20:59:27 UTC/bin/sh -c docker-php-ext-enable sodium
2024-02-16 20:59:27 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-02-16 20:59:27 UTC/bin/sh -c #(nop) STOPSIGNAL SIGWINCH
2024-02-16 20:59:27 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2024-02-16 20:59:27 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-02-16 20:59:27 UTC/bin/sh -c #(nop) EXPOSE 80
2024-02-16 20:59:27 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ghostscript ; rm -rf /var/lib/apt/lists/* # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libicu-dev libjpeg-dev libmagickwand-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.6.0; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$extDir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; docker-php-ext-enable opcache; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; a2enmod rewrite expires; a2enmod remoteip; { echo 'RemoteIPHeader X-Forwarded-For'; echo 'RemoteIPInternalProxy 10.0.0.0/8'; echo 'RemoteIPInternalProxy 172.16.0.0/12'; echo 'RemoteIPInternalProxy 192.168.0.0/16'; echo 'RemoteIPInternalProxy 169.254.0.0/16'; echo 'RemoteIPInternalProxy 127.0.0.0/8'; } > /etc/apache2/conf-available/remoteip.conf; a2enconf remoteip; find /etc/apache2 -type f -name '*.conf' -exec sed -ri 's/([[:space:]]*LogFormat[[:space:]]+"[^"]*)%h([^"]*")/\1%a\2/g' '{}' + # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.5-beta2'; sha1='f8a0187b5c143fa20b756efd9d456da9da077d7c'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY wp-config-docker.php /usr/src/wordpress/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)CMD ["apache2-foreground"]
2024-02-20 20:03:10 UTC
218 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
PHP_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz
PHP_VERSION8.3.3
[#000] sha256:e0d489e60efeee042d73afc4d45ad77014188c0ac8941f9ba5f15760d2288c3a - 11.77% (25.6 MB)
[#001] sha256:503f40b458f7c293243effa9a1cbf7fd3d256ebbc7c885ff704daf63d435ffc3 - 0.0% (227 Bytes)
[#002] sha256:2b8e895018d6862b371d9295a0d9d92eef8a6f5a8dffb4a82e39abac8f6d9b28 - 35.89% (78.2 MB)
[#003] sha256:188a2589cb08b5b121e13881cfeea377bb20a0fd98f84991ab8741127a58efca - 0.0% (269 Bytes)
[#004] sha256:8bee225a49db0db9ebe2e4ca0b2e9e6ee790cf525bb7300b10e6a72fddfc8d07 - 8.58% (18.7 MB)
[#005] sha256:059356789143839a10b3e1970a011879d190d495b19f9ba1079791ee724e517e - 0.0% (475 Bytes)
[#006] sha256:a5ae570e85310d6691597290db7efe3202d00b0fe0ae686830a0afe34a81d7a2 - 0.0% (511 Bytes)
[#007] sha256:4df3c8b8c67c2ba87931facda10b26b5cbdc94ebbd76a7a8a8bd8b93f965037b - 5.6% (12.2 MB)
[#008] sha256:0c9c503e752545737e8e8666282f8d1614faca6a7ddcc67028d692a2bc762d0b - 0.0% (492 Bytes)
[#009] sha256:8f7fd62792759153da85da0c4b651b9bdb3f0c7c1f338ee69f1f5993b1f14497 - 4.64% (10.1 MB)
[#010] sha256:8dd7cd942be0f365c0fc256fe2278732bbdc1ae2ff8e303a94d220b04eb129e5 - 0.0% (2.4 KB)
[#011] sha256:10bbb613cb26e9573f9fd5539c637fefdd41f96c58e12a8dbfc2ea7060b5a26c - 0.0% (247 Bytes)
[#012] sha256:dccd84c2a28a4120bef41591aa8a95be3b053334939c30e3222a84f5fd39f07f - 0.0% (894 Bytes)
[#013] sha256:4112f4f874ebdf3bbe8d2e3fe00866f986ba72aae6eabb0308117338fe045b67 - 11.25% (24.5 MB)
[#014] sha256:418fcedc10d06b55bfe2340e08d75cd407347cbf92b64f5cd25a2bf4bd2ce210 - 11.52% (25.1 MB)
[#015] sha256:b3ca41a692e54298665d5a45a96b9ed478ba981f7e1f5de08cec76477b959ecc - 0.0% (360 Bytes)
[#016] sha256:9b26a6f307dcc3d74b7c64a3532ffe92a169f76c750f20ed3a095244666e98df - 0.0% (393 Bytes)
[#017] sha256:83031ccc0f2cb08469e4f8ec463eb24911c9c3cb4702359f413652cfcdb9967e - 0.01% (18.7 KB)
[#018] sha256:d275d4d516a0f37e89cd81a415779c33a97686092083b2083d09ee932a9db74f - 10.72% (23.4 MB)
[#019] sha256:d893154f5d1dddfbaf49418dbc892977e0ba53023104cf7fa87912fd21699706 - 0.0% (2.29 KB)
[#020] sha256:0f683f20a3b33a2531f216e51b3d4a190e381c548eb23e4e5f088ab28f26b9e5 - 0.0% (1.69 KB)
/bin/sh -c #(nop) ADD file:468c16fc087244db1784e8f07bec3a1a417cd85172afa7dc960c2d1ecd1f37bc in /
2024-02-13 01:08:21 UTC/bin/sh -c #(nop) CMD ["bash"]
2024-02-13 08:07:33 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2024-02-13 08:07:33 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2024-02-13 08:08:18 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends $PHPIZE_DEPS ca-certificates curl xz-utils ; rm -rf /var/lib/apt/lists/*
2024-02-13 08:08:20 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-02-13 08:08:21 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-02-13 08:15:55 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2024-02-13 08:15:55 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2024-02-13 08:16:12 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" "$APACHE_RUN_DIR/socks" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 1777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2024-02-13 08:16:14 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2024-02-13 08:16:15 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2024-02-13 08:16:15 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 08:16:16 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 08:16:16 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-02-13 08:16:17 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2024-02-16 19:51:50 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.3.3
2024-02-16 19:51:50 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.3.3.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.3.tar.xz.asc
2024-02-16 19:51:50 UTC/bin/sh -c #(nop) ENV PHP_SHA256=b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
2024-02-16 19:52:06 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends gnupg; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false
2024-02-16 19:52:06 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-02-16 19:55:57 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends apache2-dev libargon2-dev libcurl4-openssl-dev libonig-dev libreadline-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" --disable-cgi --with-apxs2 ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-02-16 19:55:58 UTC/bin/sh -c #(nop) COPY multi:e11221d43af7136e4dbad5a74e659bcfa753214a9e615c3daf357f1633d9d3d1 in /usr/local/bin/
2024-02-16 19:55:59 UTC/bin/sh -c docker-php-ext-enable sodium
2024-02-16 19:55:59 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-02-16 19:56:00 UTC/bin/sh -c #(nop) STOPSIGNAL SIGWINCH
2024-02-16 19:56:01 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2024-02-16 19:56:01 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-02-16 19:56:01 UTC/bin/sh -c #(nop) EXPOSE 80
2024-02-16 19:56:01 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ghostscript ; rm -rf /var/lib/apt/lists/* # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libicu-dev libjpeg-dev libmagickwand-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.6.0; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$extDir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; docker-php-ext-enable opcache; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; a2enmod rewrite expires; a2enmod remoteip; { echo 'RemoteIPHeader X-Forwarded-For'; echo 'RemoteIPInternalProxy 10.0.0.0/8'; echo 'RemoteIPInternalProxy 172.16.0.0/12'; echo 'RemoteIPInternalProxy 192.168.0.0/16'; echo 'RemoteIPInternalProxy 169.254.0.0/16'; echo 'RemoteIPInternalProxy 127.0.0.0/8'; } > /etc/apache2/conf-available/remoteip.conf; a2enconf remoteip; find /etc/apache2 -type f -name '*.conf' -exec sed -ri 's/([[:space:]]*LogFormat[[:space:]]+"[^"]*)%h([^"]*")/\1%a\2/g' '{}' + # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.5-beta2'; sha1='f8a0187b5c143fa20b756efd9d456da9da077d7c'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY wp-config-docker.php /usr/src/wordpress/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)CMD ["apache2-foreground"]
2024-02-20 20:03:10 UTC
207 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
PHP_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz
PHP_VERSION8.3.3
[#000] sha256:7a5e2a926145215a27b5a8051ed294061243135af64539be80d4449e05f71f52 - 11.38% (23.6 MB)
[#001] sha256:c54ec09c321d9443d13d2a1026ff25831b557cfba4d96e69cb04e013c3da80f5 - 0.0% (226 Bytes)
[#002] sha256:490d32b608328a311a60472b26afd97528354bc034d70970888f6ee739c420a5 - 35.08% (72.6 MB)
[#003] sha256:80d22eae8ae049c93976062baae1ae123e100467b9a9fa3fa3b1f0eec2054f92 - 0.0% (268 Bytes)
[#004] sha256:8c7976c47c921676dbb2f61cab51f861ebe6c1c2fd0256ef4ca602e76284a260 - 8.77% (18.2 MB)
[#005] sha256:98b35d2b7a621e2db4c4934c42f654f792902d71ff2b5ef08c61dd51a06157f7 - 0.0% (476 Bytes)
[#006] sha256:fed02b1cf9e045fe41f1be886a34b49a7acc8cefc8c55d4985bf1bf99ea65882 - 0.0% (513 Bytes)
[#007] sha256:fe62b96c8079dbb3d4c43d6062328effb39f117d04f04fc5708d8d3e5de1e3ab - 5.89% (12.2 MB)
[#008] sha256:b9e554832d96e98aa3bfb99e13ac293db3e5428f72b0382574ead73dea0a043f - 0.0% (491 Bytes)
[#009] sha256:98de8c442f5516b049cc32303429615d9da4d73bb774e5057d2670678b9e8370 - 4.62% (9.56 MB)
[#010] sha256:8d9a5735f297eb0b8791e3712d95131aa51af65e0568f1d04c3113c124116ae2 - 0.0% (2.4 KB)
[#011] sha256:65671fe08736f59b7ee03bc316f438109bc0ef61fb257d1416c8a4152bb4d008 - 0.0% (247 Bytes)
[#012] sha256:a3d112e6772dcfc11c458c1212a383b0e74845705c33b126e04274cd2c15a296 - 0.0% (896 Bytes)
[#013] sha256:6227d7f329d77487fcf7bc8934c0dadef995840d5f5298a7cc1d9ac795289f90 - 11.55% (23.9 MB)
[#014] sha256:2c5bca68a903db01fa1866a602719600d90fbf5fbe2a967b320ec71514b87eef - 11.41% (23.6 MB)
[#015] sha256:533432406030ace03e78093bad6c713a2edf91e3577250f8854f6975a642749f - 0.0% (361 Bytes)
[#016] sha256:ab2971bc64a56482325d4981a7a9838aeed8eea3cab2ed2ce6337f866713a6ad - 0.0% (393 Bytes)
[#017] sha256:c6f1bd4ddb26f2a7eb4034d5066192be5f3a4d897548a9fe5fcaeafb59560fee - 0.01% (18.7 KB)
[#018] sha256:1ac725325549f15533e4f0259717307fa57940f1335ba105c7fce6dbc4492b8b - 11.28% (23.4 MB)
[#019] sha256:8c888ef799ffe4cf903125962b4bac4c9b5b565d2e27fa920c8189f466c61b19 - 0.0% (2.29 KB)
[#020] sha256:ab8b3328080dea2bc62f4052254bd00560dc850f2e8866c1adf96afc52655904 - 0.0% (1.69 KB)
/bin/sh -c #(nop) ADD file:9766a0d12bded41ae2e7bcaa8d246afb6f5d5b6d2222e97193d07737d3f5b609 in /
2024-02-13 01:20:07 UTC/bin/sh -c #(nop) CMD ["bash"]
2024-02-13 10:01:52 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2024-02-13 10:01:52 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2024-02-13 10:02:32 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends $PHPIZE_DEPS ca-certificates curl xz-utils ; rm -rf /var/lib/apt/lists/*
2024-02-13 10:02:33 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-02-13 10:02:34 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-02-13 10:10:44 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2024-02-13 10:10:44 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2024-02-13 10:10:59 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" "$APACHE_RUN_DIR/socks" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 1777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2024-02-13 10:11:01 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2024-02-13 10:11:02 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2024-02-13 10:11:03 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 10:11:03 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 10:11:03 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-02-13 10:11:03 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2024-02-16 20:09:00 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.3.3
2024-02-16 20:09:00 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.3.3.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.3.tar.xz.asc
2024-02-16 20:09:01 UTC/bin/sh -c #(nop) ENV PHP_SHA256=b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
2024-02-16 20:09:13 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends gnupg; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false
2024-02-16 20:09:13 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-02-16 20:14:03 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends apache2-dev libargon2-dev libcurl4-openssl-dev libonig-dev libreadline-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" --disable-cgi --with-apxs2 ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-02-16 20:14:03 UTC/bin/sh -c #(nop) COPY multi:e11221d43af7136e4dbad5a74e659bcfa753214a9e615c3daf357f1633d9d3d1 in /usr/local/bin/
2024-02-16 20:14:04 UTC/bin/sh -c docker-php-ext-enable sodium
2024-02-16 20:14:04 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-02-16 20:14:04 UTC/bin/sh -c #(nop) STOPSIGNAL SIGWINCH
2024-02-16 20:14:04 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2024-02-16 20:14:04 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-02-16 20:14:04 UTC/bin/sh -c #(nop) EXPOSE 80
2024-02-16 20:14:04 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ghostscript ; rm -rf /var/lib/apt/lists/* # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libicu-dev libjpeg-dev libmagickwand-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.6.0; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$extDir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; docker-php-ext-enable opcache; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; a2enmod rewrite expires; a2enmod remoteip; { echo 'RemoteIPHeader X-Forwarded-For'; echo 'RemoteIPInternalProxy 10.0.0.0/8'; echo 'RemoteIPInternalProxy 172.16.0.0/12'; echo 'RemoteIPInternalProxy 192.168.0.0/16'; echo 'RemoteIPInternalProxy 169.254.0.0/16'; echo 'RemoteIPInternalProxy 127.0.0.0/8'; } > /etc/apache2/conf-available/remoteip.conf; a2enconf remoteip; find /etc/apache2 -type f -name '*.conf' -exec sed -ri 's/([[:space:]]*LogFormat[[:space:]]+"[^"]*)%h([^"]*")/\1%a\2/g' '{}' + # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.5-beta2'; sha1='f8a0187b5c143fa20b756efd9d456da9da077d7c'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY wp-config-docker.php /usr/src/wordpress/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)CMD ["apache2-foreground"]
2024-02-20 20:03:10 UTC
238 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
PHP_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz
PHP_VERSION8.3.3
[#000] sha256:f546e941f15b76df3d982d56985432b05bc065e3923fb35be25a4d33d5c0f911 - 11.67% (27.8 MB)
[#001] sha256:bdb7a340515b48e1c129ae5f32a9749bddee1f8e8329b7598fcbf4d08bbd6fb1 - 0.0% (224 Bytes)
[#002] sha256:290f914abd180febe4ca21f26e7dbd62a7d47b3e0c2bb607b502ef0420c26a39 - 39.27% (93.6 MB)
[#003] sha256:f3aa77fec9d8935ca4f47917fa1800499aeb09f491467b65b0914b9598f905ab - 0.0% (269 Bytes)
[#004] sha256:015e32a81172311d82a21a8c59c44a19943264d56868424bc14043cf6100b2fd - 8.13% (19.4 MB)
[#005] sha256:f4064de42914748cf75888bc76bce8469dc92ae858893c597ede2741b140c622 - 0.0% (474 Bytes)
[#006] sha256:ebf1ed550d4635090d82d30c08e1d408806bfba8c24fffe9004f3b0837df191b - 0.0% (511 Bytes)
[#007] sha256:40f607666455f470fde9e32273ab2778c41d3b360b620513863a68f90927b872 - 5.12% (12.2 MB)
[#008] sha256:379c5dc83eed8db6125a3f7e5f5f8e9c82418973a97f571a56008a1556c2689d - 0.0% (491 Bytes)
[#009] sha256:f9f157cb10e23cfbf833cdb545e6f455c5d9bddb0d9d598fbc4dec31cd251f3d - 4.65% (11.1 MB)
[#010] sha256:ab419700b14b9c1e30489718b57535edbf6a928296b5ce98e89a147f47a187c1 - 0.0% (2.4 KB)
[#011] sha256:87f3a1da0fdb621b4debe5e52f9065fd555b65e4bc290cda135112be5755a001 - 0.0% (245 Bytes)
[#012] sha256:5e35afd1db3267bd559a4f42a2e31a3625d785c5fec6fbf8c51c660ca8dbeef1 - 0.0% (893 Bytes)
[#013] sha256:727a001d7c53bdc4985392fe376b3881edda690d8b3fd2b2c87c812be2284865 - 10.48% (25 MB)
[#014] sha256:4b409cb3e431cd07865f0fc974dac46eb812575d49ec7c1ed7e7c0e7bf8a7caa - 10.86% (25.9 MB)
[#015] sha256:4db72a1779a1bf654fef934fd6914706a97df3e689cc8c86abbd8c155b2ec79f - 0.0% (360 Bytes)
[#016] sha256:e7f795ee88d61eca17b178998cfe5bbbf76290e328b1e7d7beb07e80b1940cd8 - 0.0% (391 Bytes)
[#017] sha256:d57ad1f32122db7d3b3109f11168cf98ca8a6895f9fb6993c7be5a60e196dd5a - 0.01% (18.7 KB)
[#018] sha256:cec81dbc5afb35ac732c7f0ef8c6c8c2d19ac1c3d4662532e2ef8f5e0f84f58e - 9.81% (23.4 MB)
[#019] sha256:61924e79771c66b3d6d03b0ab766821798063f2d2aed5af896922b51d05a1d7f - 0.0% (2.29 KB)
[#020] sha256:efb00b949e288ab4c432ab2e7ab90e6204c5fd56a81588e00fde2a87f2ac2b5a - 0.0% (1.69 KB)
/bin/sh -c #(nop) ADD file:a3e4f94158c3515dc70de5aa81c136a9f7daf5adcac636a15c237097cb454140 in /
2024-02-13 00:41:20 UTC/bin/sh -c #(nop) CMD ["bash"]
2024-02-13 04:37:54 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2024-02-13 04:37:54 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2024-02-13 04:38:13 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends $PHPIZE_DEPS ca-certificates curl xz-utils ; rm -rf /var/lib/apt/lists/*
2024-02-13 04:38:15 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-02-13 04:38:15 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-02-13 04:42:16 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2024-02-13 04:42:16 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2024-02-13 04:42:24 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" "$APACHE_RUN_DIR/socks" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 1777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2024-02-13 04:42:25 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2024-02-13 04:42:25 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2024-02-13 04:42:25 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 04:42:25 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 04:42:25 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-02-13 04:42:25 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2024-02-16 22:49:28 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.3.3
2024-02-16 22:49:28 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.3.3.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.3.tar.xz.asc
2024-02-16 22:49:28 UTC/bin/sh -c #(nop) ENV PHP_SHA256=b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
2024-02-16 22:49:39 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends gnupg; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false
2024-02-16 22:49:40 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-02-16 22:53:16 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends apache2-dev libargon2-dev libcurl4-openssl-dev libonig-dev libreadline-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" --disable-cgi --with-apxs2 ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-02-16 22:53:16 UTC/bin/sh -c #(nop) COPY multi:e11221d43af7136e4dbad5a74e659bcfa753214a9e615c3daf357f1633d9d3d1 in /usr/local/bin/
2024-02-16 22:53:17 UTC/bin/sh -c docker-php-ext-enable sodium
2024-02-16 22:53:17 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-02-16 22:53:17 UTC/bin/sh -c #(nop) STOPSIGNAL SIGWINCH
2024-02-16 22:53:17 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2024-02-16 22:53:17 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-02-16 22:53:17 UTC/bin/sh -c #(nop) EXPOSE 80
2024-02-16 22:53:18 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ghostscript ; rm -rf /var/lib/apt/lists/* # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libicu-dev libjpeg-dev libmagickwand-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.6.0; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$extDir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; docker-php-ext-enable opcache; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; a2enmod rewrite expires; a2enmod remoteip; { echo 'RemoteIPHeader X-Forwarded-For'; echo 'RemoteIPInternalProxy 10.0.0.0/8'; echo 'RemoteIPInternalProxy 172.16.0.0/12'; echo 'RemoteIPInternalProxy 192.168.0.0/16'; echo 'RemoteIPInternalProxy 169.254.0.0/16'; echo 'RemoteIPInternalProxy 127.0.0.0/8'; } > /etc/apache2/conf-available/remoteip.conf; a2enconf remoteip; find /etc/apache2 -type f -name '*.conf' -exec sed -ri 's/([[:space:]]*LogFormat[[:space:]]+"[^"]*)%h([^"]*")/\1%a\2/g' '{}' + # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.5-beta2'; sha1='f8a0187b5c143fa20b756efd9d456da9da077d7c'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY wp-config-docker.php /usr/src/wordpress/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)CMD ["apache2-foreground"]
2024-02-20 20:03:10 UTC
218 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
PHP_URLhttps://www.php.net/distributions/php-8.3.3.tar.xz
PHP_VERSION8.3.3
[#000] sha256:e55f0b78e9a121a048a72242f0aec2a221466b10bedb873c07b73e4b99f873cb - 12.03% (26.2 MB)
[#001] sha256:db025363a3a1d7c6b99da4e14d1125b74c4b842740cab764d0f3f92123eda2ae - 0.0% (225 Bytes)
[#002] sha256:e1d7e20d739007df636f4e0bffb8c753fe34b5834c77a8560ad481209b713da9 - 35.36% (77.1 MB)
[#003] sha256:231f09f66b39d784560a47b0a9a35c9ffc75c958ac6d714b931e2f10052eeccc - 0.0% (268 Bytes)
[#004] sha256:0ad9a7e236c2428d77411e290e407d3e563b97f82068a1a6f62ffd1c26dbd087 - 8.79% (19.2 MB)
[#005] sha256:f35a1a694219ffe08748ca3f8b465091ef91d33338469118ed8f6a3ba20e1b7a - 0.0% (472 Bytes)
[#006] sha256:5ad958effa4899374506d8ba746fcbf20d73ce55af4e9e5dae0e070db097fd91 - 0.0% (509 Bytes)
[#007] sha256:e9658ee931ef1197379ded67e8548b7870ae9df8b656bf6732eec8d70051e12d - 5.6% (12.2 MB)
[#008] sha256:5d39ad7f3bef861b9e0ca21588c4578ca3ca4d949c5a350eed59bd54e1185ed6 - 0.0% (490 Bytes)
[#009] sha256:518b1c52f1447dc1f55231a9a790d8fa0d4939759065c9824d20ad5d7f6634f8 - 4.67% (10.2 MB)
[#010] sha256:456c987b49f376eb66b485cf37e091bb5741e744df9014aed4c64dd385da3f04 - 0.0% (2.4 KB)
[#011] sha256:4036f86498c04d8216a169e68cc5f028be211551387f42a59aaf1609e46f3611 - 0.0% (247 Bytes)
[#012] sha256:9c45b9d3f7a8b12de431d25d1e81277bc49888f1d6683458a867ee8607da2d15 - 0.0% (892 Bytes)
[#013] sha256:82c82abc8ceb98234c66cad7f88397fdb5cc51db7ccea469bf34d7b242d061c1 - 11.33% (24.7 MB)
[#014] sha256:727ad929cd22ba22ea22bd6d940a34ceda50f06d546e4f75d2afcc9e0e26d843 - 11.5% (25.1 MB)
[#015] sha256:a3047e51b57a5c4b1d59ec048f80a22de4797711ed2f74386fd8b36d3c34f011 - 0.0% (362 Bytes)
[#016] sha256:0b896bee7e37d0a56730348cd03711ac54b38be0047b518140c104c0798a1888 - 0.0% (395 Bytes)
[#017] sha256:ac2d81fe42df7c03498e69984e5fb25ebd05baba4eaff1573c7ab4e54b6c9315 - 0.01% (18.7 KB)
[#018] sha256:4063d039156bddbcd9b1939bc79fe5f9133751f9cefbb3658612218358b02192 - 10.72% (23.4 MB)
[#019] sha256:be3ccc0f312a3024b56c52d48ed2c902a8957114fa622d125cc1fee563464388 - 0.0% (2.29 KB)
[#020] sha256:0ea8ed491423983a77b5ab89132dc0a60a287204ae30be1428735939a48e2446 - 0.0% (1.69 KB)
/bin/sh -c #(nop) ADD file:2dc5fd465b3cc728990229e12489d68faf8a93e6f574cacdca11cc9bf31f511d in /
2024-02-13 01:02:39 UTC/bin/sh -c #(nop) CMD ["bash"]
2024-02-13 05:08:48 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2024-02-13 05:08:49 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2024-02-13 05:09:08 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends $PHPIZE_DEPS ca-certificates curl xz-utils ; rm -rf /var/lib/apt/lists/*
2024-02-13 05:09:14 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-02-13 05:09:14 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-02-13 05:12:59 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2024-02-13 05:12:59 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2024-02-13 05:13:08 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" "$APACHE_RUN_DIR/socks" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 1777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2024-02-13 05:13:09 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2024-02-13 05:13:10 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2024-02-13 05:13:10 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 05:13:10 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-02-13 05:13:10 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-02-13 05:13:10 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC C28D937575603EB4ABB725861C0779DC5C0A9DE4 AFD8691FDAEDF03BDF6E460563F15A9B715376CA
2024-02-16 21:16:31 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.3.3
2024-02-16 21:16:31 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.3.3.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.3.3.tar.xz.asc
2024-02-16 21:16:31 UTC/bin/sh -c #(nop) ENV PHP_SHA256=b0a996276fe21fe9ca8f993314c8bc02750f464c7b0343f056fb0894a8dfa9d1
2024-02-16 21:16:41 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends gnupg; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false
2024-02-16 21:16:41 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-02-16 21:19:21 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends apache2-dev libargon2-dev libcurl4-openssl-dev libonig-dev libreadline-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" --disable-cgi --with-apxs2 ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-02-16 21:19:24 UTC/bin/sh -c #(nop) COPY multi:e11221d43af7136e4dbad5a74e659bcfa753214a9e615c3daf357f1633d9d3d1 in /usr/local/bin/
2024-02-16 21:19:25 UTC/bin/sh -c docker-php-ext-enable sodium
2024-02-16 21:19:25 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-02-16 21:19:25 UTC/bin/sh -c #(nop) STOPSIGNAL SIGWINCH
2024-02-16 21:19:25 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2024-02-16 21:19:25 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-02-16 21:19:25 UTC/bin/sh -c #(nop) EXPOSE 80
2024-02-16 21:19:25 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ghostscript ; rm -rf /var/lib/apt/lists/* # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libicu-dev libjpeg-dev libmagickwand-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.6.0; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$extDir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; docker-php-ext-enable opcache; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; a2enmod rewrite expires; a2enmod remoteip; { echo 'RemoteIPHeader X-Forwarded-For'; echo 'RemoteIPInternalProxy 10.0.0.0/8'; echo 'RemoteIPInternalProxy 172.16.0.0/12'; echo 'RemoteIPInternalProxy 192.168.0.0/16'; echo 'RemoteIPInternalProxy 169.254.0.0/16'; echo 'RemoteIPInternalProxy 127.0.0.0/8'; } > /etc/apache2/conf-available/remoteip.conf; a2enconf remoteip; find /etc/apache2 -type f -name '*.conf' -exec sed -ri 's/([[:space:]]*LogFormat[[:space:]]+"[^"]*)%h([^"]*")/\1%a\2/g' '{}' + # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.5-beta2'; sha1='f8a0187b5c143fa20b756efd9d456da9da077d7c'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY wp-config-docker.php /usr/src/wordpress/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2024-02-20 20:03:10 UTC (buildkit.dockerfile.v0)CMD ["apache2-foreground"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.